%{?nodejs_find_provides_and_requires}

%global packagename fill-range
%global enable_tests 1

Name:		nodejs-fill-range
Version:	2.2.3
Release:	1%{?dist}
Summary:	Fill in a range of numbers or letters

License:	MIT
URL:		https://github.com/jonschlinkert/fill-range.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(repeat-element)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(is-number)
BuildRequires:	npm(isobject)
BuildRequires:	npm(randomatic)
BuildRequires:	npm(repeat-string)
BuildRequires:	npm(should)
%endif

%description
Fill in a range of numbers or letters, optionally passing an increment or
multiplier to use.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu Feb  4 2016 Jared Smith <jsmith@fedoraproject.org> - 2.2.3-1
- Initial packaging
